
Eina_Error _efl_ui_layout_efl_file_file_set(Eo *obj, void *pd, const char *file);


const char *_efl_ui_layout_efl_file_file_get(const Eo *obj, void *pd);


void _efl_ui_layout_efl_file_key_set(Eo *obj, void *pd, const char *key);


const char *_efl_ui_layout_efl_file_key_get(const Eo *obj, void *pd);


Eina_Error _efl_ui_layout_efl_file_mmap_set(Eo *obj, void *pd, const Eina_File *f);


const Eina_File *_efl_ui_layout_efl_file_mmap_get(const Eo *obj, void *pd);


Eina_Error _efl_ui_layout_efl_file_load(Eo *obj, void *pd);


void _efl_ui_layout_efl_file_unload(Eo *obj, void *pd);


Efl_Object *_efl_ui_layout_efl_object_constructor(Eo *obj, void *pd);


static Eina_Bool
_efl_ui_layout_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_LAYOUT_EXTRA_OPS
#define EFL_UI_LAYOUT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_file_set, _efl_ui_layout_efl_file_file_set),
      EFL_OBJECT_OP_FUNC(efl_file_get, _efl_ui_layout_efl_file_file_get),
      EFL_OBJECT_OP_FUNC(efl_file_key_set, _efl_ui_layout_efl_file_key_set),
      EFL_OBJECT_OP_FUNC(efl_file_key_get, _efl_ui_layout_efl_file_key_get),
      EFL_OBJECT_OP_FUNC(efl_file_mmap_set, _efl_ui_layout_efl_file_mmap_set),
      EFL_OBJECT_OP_FUNC(efl_file_mmap_get, _efl_ui_layout_efl_file_mmap_get),
      EFL_OBJECT_OP_FUNC(efl_file_load, _efl_ui_layout_efl_file_load),
      EFL_OBJECT_OP_FUNC(efl_file_unload, _efl_ui_layout_efl_file_unload),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_layout_efl_object_constructor),
      EFL_UI_LAYOUT_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_layout_class_desc = {
   EO_VERSION,
   "Efl.Ui.Layout",
   EFL_CLASS_TYPE_REGULAR,
   0,
   _efl_ui_layout_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_layout_class_get, &_efl_ui_layout_class_desc, EFL_UI_LAYOUT_BASE_CLASS, EFL_FILE_MIXIN, NULL);
